var $ = jQuery;
$(function() {
	
// ---- Изменения базовых параметров дисциплины ---
	
	// Изменение предмета
	$('select.SelectSubject').change(function()
	{
		$.post(
			URLdir + 'handler/map/ChangeDisciplineSubject',
			{
				'DisciplineID': DisciplineID,
				'SubjectID': $(this).val()
			},
			function(data) 
			{
				data = $.parseJSON(data);
				if(data.success === true)
					EventInspector_ShowMsg('Предмет изменен', 'success');
				else EventInspector_ShowMsg('Ошибка: Изменение предмета', 'error');
			}
		);
	});
	
	// Изменение курса
	$('select.SelectDisGrade').change(function()
	{ // SelectGrade совпадает с другим, поэтому SelectDisGrade
		thisObj = $(this);
		$(this).prop('disabled', true);
 		$.post(
			URLdir + 'handler/map/ChangeDisciplineGrade',
			{
				'DisciplineID': DisciplineID,
				'GradeID': $(this).val()
			},
			function(data)
			{
				data = $.parseJSON(data);
				if(data.success === true)
					EventInspector_ShowMsg('Курс изменен', 'success');
				else EventInspector_ShowMsg('Ошибка: Изменение курса', 'error');
				thisObj.removeAttr('disabled');
			}
			
		);
	});
	
	// Бонусные баллы
	$('input.BonusRate').change(function()
	{
		var thisObj = $(this);
		$(this).attr('disabled', true);
		$.post(
			URLdir + 'handler/map/ChangeStatusBonusModule',
			{
				'DisciplineID': DisciplineID,
				'BonusRate': $(this).prop("checked")
			},
			function(data) {
				data = $.parseJSON(data);
				if(data.success === true) {
					var message = (data.action == 'add')? 	'Бонусные баллы добавлены'
														: 	'Бонусные баллы удалены';
					EventInspector_ShowMsg(message, 'success');
				}
				else {
					EventInspector_ShowMsg('Ошибка: Бонусные баллы', 'error');
					$(this).prop("checked", ! thisObj.prop("checked"));
				}
				thisObj.removeAttr('disabled');
			}
		);
	});
	
	// Изменение контроля
	$('input.ExamType').change(function()
	{
		var thisObj = $(this);
		thisObj.parent().children('input.ExamType').attr("disabled", true);
		$.post(
			URLdir + 'handler/map/ChangeDisciplineControl',
			{
				'DisciplineID': DisciplineID,
				'Control': $(this).val()
			},
			function(data) {
				data = $.parseJSON(data);
				var list = thisObj.parent().children('input.ExamType'); 
				if(data.success == 0)
					EventInspector_ShowMsg('Форма контроля изменена', 'success');
				else if (data.success > 0) {
					EventInspector_ShowMsg('Превышено максимальное кол-во баллов', 'error');	
					list.not(thisObj).prop('checked', true);
				}
				else EventInspector_ShowMsg('Ошибка: Изменение формы контроля', 'error');

				list.removeAttr('disabled');
			}
		);
	});
	

	LessonType = {
	    Practice: 	'0',
	    Lection: 	'1'
	};

	// Изменение лекционных часов
	$('input.InputLectionCount').focusout(function()
	{
		thisObj = $(this);
		$(this).prop('disabled', true);
		$.post(
			URLdir + 'handler/map/ChangeDisciplineHours',
			{
				'DisciplineID': DisciplineID,
				'Hours': $(this).val(),
				'Type': LessonType.Lection
			},
			function(data) 
			{
				data = $.parseJSON(data);
				if(data.success === true)
					EventInspector_ShowMsg('Лекционные часы изменен', 'success');
				else EventInspector_ShowMsg('Ошибка: Изменение лекционных часов', 'error');

				thisObj.removeAttr('disabled');
			}
		);
	});
	
	// Изменение практических часов
	$('input.InputPracticeCount').focusout(function()
	{
		thisObj = $(this);
		$(this).prop('disabled', true);
		$.post(
			URLdir + 'handler/map/ChangeDisciplineHours',
			{
				'DisciplineID': DisciplineID,
				'Hours': $(this).val(),
				'Type': LessonType.Practice
			},
			function(data) 
			{
				data = $.parseJSON(data);
				if(data.success === true)
					EventInspector_ShowMsg('Практические часы изменен', 'success');
				else EventInspector_ShowMsg('Ошибка: Изменение практических часов', 'error');

				thisObj.removeAttr('disabled');
			}
		);
	});
	
});